<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes & Links</title>
</head>
<body>

	<h2 id="top">HTML Attributes</h2>

	<!-- Using ALIGN Attributes value = "left", "center", "right" -->
	<p align="center">
		<em>Modifiers of element behaviors.</em>
	</p>

	<h2>HTML Images</h2>
	<p align="right">
		<em>An Image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em>
	</p>

	<!-- Images Tag -->
	<!-- Add Image using Absolute Linking
		Image Src from Online Resources -->
		<!-- target attribute for link (syntax targer="_blank") makes the link opens in NEW TAB -->
	<a href="https://place-puppy.com/" target="_blank">
		<img src="https://place-puppy.com/300x300">
	</a>

	<!-- The <code> tag is used to define a piece of computer code. The content inside is displayed in the browser's default monospace font. -->
	<p>
		<code>
			&lt;img src="https://place-puppy.com/300x300"&gt;
		</code>
	</p>

	<!-- Adds Image using RELATIVE LINKING
		 Image from Local Source Computer 
		 syntax <img src="./folder_Src_of_Img/name_of_Image.filetype"> Take note .means current directory
	-->
	<img src="./img/zuittlogo.png">
	<!-- The <code> tag is used to define a piece of computer code. The content inside is displayed in the browser's default monospace font. -->
	<p>
		<code>
			&lt;img src=""./img/zuittlogo.png"&gt;
		</code>
	</p>

	<p>Valid Image extensions are the following;</p>
	<!-- TYPE Attribute changes the attribute of OL (ordered List) elmenent -->

	<ol type="A" start="2" reversed>  <!-- Other values of Type = A,a, I,i-->
		<li>png</li>
		<li>jpg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<p>
		Take a look at w3schools attribute reference
		<a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>
	</p>


	<h2>HTML Links</h2>
	<h4>Absolute Link</h4>
	<!-- Creates A - Anchor Tag  hyperlink element that redirect to another page -->
	<!-- href attribute means "hypertext reference which is used to crreate a link to a different page" -->
	<a href="https://zuitt.co/"> Zuitt </a>

	<h4>Relative Link</h4>
	<p>
		Go to <a href="./link.html">link.html</a>
	</p>

	<!-- Link within the page but 1st need to specify id attribute. syntax for declaring ID attribute 
	<TagElement id="#_valueOfID"
	-->
	<!-- 
		<p id="#top">
			HTMl Attribute
		</p>

		<p>

		</p>
	-->

	<p>
		Go to <a href="./img/index.html">img/index.html</a>
	</p>

	<p>
		Go to <a href="#top">top.</a>
	</p>


</body>
</html>